Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 74879 - aha152x driver broken
Summary: aha152x driver broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 76678 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-02 15:20 UTC by Michael Olson
Modified: 2007-04-18 16:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-17 09:22:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:206 normal SHIPPED_LIVE : New kernel fixes local security issues 2003-05-14 04:00:00 UTC

Description Michael Olson 2002-10-02 15:20:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Module refuses to load. Using the command
modprobe aha152x io=0x340 irq=11

(This is the same command that worked one boot earlier under 7.3, 
just did a upgrade to 8.0 and it failed)

/var/log/messages for failed command is.

Oct  2 10:44:45 freedom kernel: aha152x: BIOS test: passed, detected 1 controller(s)
Oct  2 10:44:45 freedom kernel: aha152x: resetting bus...
Oct  2 10:44:45 freedom kernel: aha152x1: vital data: rev=1, io=0x340
(0x340/0x340), irq=11, scsiid=7, reconnect=enabled, parity=enabled,
synchronous=enabled, delay=1000, extended translation=disabled
Oct  2 10:44:45 freedom kernel: aha152x1: trying software interrupt, lost.
Oct  2 10:44:45 freedom kernel: aha152x1: IRQ 11 possibly wrong.  Please verify.

The card is set for IO=340 and IRQ=11, I don't know the brand/model of the card,
it's from the faceless ranks of the 152x clones.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install ISA 152x SCSI card on 0x340 and IRQ 11
2. Run modprobe aha152x io=0x340 irq=11
	

Actual Results:  Hint: insmod errors can be caused by incorrect module
parameters, including invalid IO or IRQ parameters.
      You may find more information in syslog or the output from dmesg
/lib/modules/2.4.18-14/kernel/drivers/scsi/aha152x.o: insmod
/lib/modules/2.4.18-14/kernel/drivers/scsi/aha152x.o failed
/lib/modules/2.4.18-14/kernel/drivers/scsi/aha152x.o: insmod aha152x failed
Exit 255

From /var/log/messages
---------------------------------
ct  2 11:14:46 freedom kernel: aha152x: BIOS test: passed, detected 1 controller(s)
Oct  2 11:14:46 freedom kernel: aha152x: resetting bus...
Oct  2 11:14:46 freedom kernel: aha152x1: vital data: rev=1, io=0x340
(0x340/0x340), irq=11, scsiid=7, reconnect=enabled, parity=enabled,
synchronous=enabled, delay=1000, extended translation=disabled
Oct  2 11:14:46 freedom kernel: aha152x1: trying software interrupt, lost.
Oct  2 11:14:46 freedom kernel: aha152x1: IRQ 11 possibly wrong.  Please verify.


Expected Results:  Driver should have loaded

Additional info:

This system is a 7.3 (2.4.18-4) to 8.0 (2.4.18-18) upgrade, the command in
question is run from /etc/rc.modules

After upgrade it simply fails.

Comment 1 Phil Schaffner 2002-10-05 09:51:08 UTC
Also encountered this bug after upgrade from 7.3 (all patches installed) to
8.0. Tried editing /etc/pcmcia/config.opts to disable/allow various IRQs
but to no avail.  RH 8.0 can't seem to see the Jaz/Adaptec 152x cardbus
adapter that was working under 7.3.

This looks a lot like bug #67285 from 7.3.

Machine is an IBM A21p. Relevant section of dmesg for current config:
Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
PCI: Found IRQ 11 for device 00:02.0
PCI: Sharing IRQ 11 with 00:05.0
PCI: Sharing IRQ 11 with 01:00.0
PCI: Found IRQ 11 for device 00:02.1
Yenta IRQ list 06b8, PCI irq11
Socket status: 30000010
Yenta IRQ list 06b8, PCI irq11
Socket status: 30000006
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x3b8-0x3df 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
SCSI subsystem driver Revision: 1.00
aha152x: processing commandline: ok
aha152x: BIOS test: passed, detected 1 controller(s)
aha152x: resetting bus...
aha152x0: vital data: rev=1, io=0x340 (0x340/0x340), irq=3, scsiid=7,
reconnect=enabled, parity=enabled, synchronous=disabled, delay=100, extended
translation=disabled
aha152x0: trying software interrupt, lost.
aha152x0: IRQ 3 possibly wrong.  Please verify.
aha152x_cs: no SCSI devices found



Comment 2 Michael Olson 2002-10-08 16:56:41 UTC
As a quick workaround, I rolled the kernel in 8.0 back to 2.4.18-10 and now it
works.

Comment 3 tjackson 2002-10-11 21:45:59 UTC
Saw this with the 2.4.18-5 kernel also.

Comment 4 Arjan van de Ven 2002-10-17 09:22:42 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-206.html


Comment 5 Dave Strandberg 2002-10-30 18:10:22 UTC
The errata probably helps people with installed systems that are adding the 
aha152x card to their system, but I need a new driver disk (pcmcia.img or 
pcmciadd.img) so that I can get the aha152x module loaded before installating 
RH8.0 to my external SCSI drive.

Comment 6 Jeremy Katz 2002-10-31 20:37:04 UTC
*** Bug 76678 has been marked as a duplicate of this bug. ***

Comment 7 Phil Schaffner 2002-11-01 16:20:26 UTC
Ditto on the need for a driver disk.


Note You need to log in before you can comment on or make changes to this bug.